Worlds
List world assets
Paginated list of assets for a world, filterable by version/engine/platform.
Authorization
bearerAuthorizationBearer token
User session token. Obtained from POST /api/auth/login.
In: header
Path Parameters
id*string
Query Parameters
show_empty*string
limit*string
offset*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/worlds/string/assets?show_empty=string&limit=string&offset=string"{
"data": {
"total": 100,
"limit": 10,
"offset": 0,
"items": [
{
"id": 1,
"version": 1,
"engine": "unity",
"platform": "windows",
"is_empty": false,
"url": null,
"hash": null,
"size": null,
"mods": [],
"features": [],
"uploader": null
}
]
},
"error": null,
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}